struct VERT_INPUT
{
	float4 location : POSITION;
	float4 color : COLOR0;
	float2 uv : TEXCOORD0;
};

struct VERT_OUTPUT
{
	float4 location : POSITION;
	float4 color : COLOR0;
	float2 uv : TEXCOORD0;
};

struct PIX_INPUT
{
	float4 color : COLOR0;
	float2 uv : TEXCOORD0;
};

typedef float4 PIX_OUTPUT;

#ifdef USE_DEFAULT_VERT
float4x4 _transform;
VERT_OUTPUT vert(in VERT_INPUT input)
{
	VERT_OUTPUT output;
	output.location = mul(input.location, _transform);
	output.color = input.color;
	output.uv = input.uv;
	return output;
}
#endif

#ifdef USE_DEFAULT_PIX
sampler2D _texture;
float4 _color;
PIX_OUTPUT pix(in PIX_INPUT input) : COLOR0
{
	return tex2D(_texture, input.uv) * input.color * _color;
}
#endif